Bug 389641 - xorg-x11-drv-nv now requires twice as much video memory to operate correctly
xorg-x11-drv-nv now requires twice as much video memory to operate correctly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-18 14:05 EST by Bernard Johnson
Modified: 2009-12-18 01:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:01:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf that I'm currently using (893 bytes, text/plain)
2007-11-19 19:38 EST, Bernard Johnson
no flags Details
log file when video memory/aperture is set to 64M and no xorg.conf exists (42.01 KB, text/plain)
2007-11-19 19:39 EST, Bernard Johnson
no flags Details
log file when video memory/aperture is set to 64M and xorg.conf exists (as included) (40.00 KB, text/plain)
2007-11-19 19:40 EST, Bernard Johnson
no flags Details
log file when video memory/aperture is set to 128M and xorg.conf exists (as included) (40.75 KB, text/plain)
2007-11-19 19:40 EST, Bernard Johnson
no flags Details

  None (edit)
Description Bernard Johnson 2007-11-18 14:05:41 EST
Description of problem:
In the past, I've kept my video memory at 64M (it's shared memory).  This worked
perfectly in FC-6.  Somewhere along the line in FC-6 updates, IIRC, I started
getting video corruption.  This was in the form of small blue pixelated squares
near the top of the screen.  At the time, I mistakenly assumed it was related to
hardware failure.

Recently, I changed the video memory and video aperture from 64M to 128M.  Now
the problem has gone away.

I guess it's possible that the newer driver versions will not work with 64M, but
I'd rather have an error than a corrupted display ;)

If you need a screen capture of the corruption, I can switch back to 64M and get
you one. 

Version-Release number of selected component (if applicable):
xorg-x11-drv-nv-2.1.5-2.fc8

How reproducible:
Always

Steps to Reproduce:
1. change AGP video memory and and memory aperture in BIOS from 128M -> 64M
2.
3.
  
Actual results:
video display corruption

Expected results:
to still work with only 64M

Additional info:
Comment 1 Matěj Cepl 2007-11-19 10:05:03 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Bernard Johnson 2007-11-19 19:38:16 EST
Created attachment 264061 [details]
xorg.conf that I'm currently using
Comment 3 Bernard Johnson 2007-11-19 19:39:16 EST
Created attachment 264071 [details]
log file when video memory/aperture is set to 64M and no xorg.conf exists
Comment 4 Bernard Johnson 2007-11-19 19:40:03 EST
Created attachment 264081 [details]
log file when video memory/aperture is set to 64M and xorg.conf exists (as included)
Comment 5 Bernard Johnson 2007-11-19 19:40:37 EST
Created attachment 264091 [details]
log file when video memory/aperture is set to 128M and xorg.conf exists (as included)
Comment 6 Bernard Johnson 2007-11-19 19:41:57 EST
Please let me know if you need any addition data.
Comment 7 Bernard Johnson 2007-11-19 19:55:22 EST
Two more pieces of information:

1) Changing AGP Aperture size either alone or in conjunction with video memory
size seems to have no effect.  This seems to be wholly dependent on video memory
size.

2) rhgb does not exhibit this video corruption.
Comment 8 Bernard Johnson 2008-01-23 20:22:31 EST
I've been running with 128MB allocated since I posted this bug.  I have noticed
that occasionally (although very rarely) I even get this video corruption when I
have 128MB.
Comment 9 Bernard Johnson 2008-11-12 23:28:41 EST
Maybe my video card became flakey at the same time I updated to F7+ ?
Comment 10 Bug Zapper 2008-11-25 21:03:34 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-11-18 05:08:44 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-12-18 01:01:07 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.